Subject: Re: bug#34255: wishlist: Add guix-y way to create swapfile

From: [email-masked]
Date: Sun, 3 Feb 2019 16:59:14 +0100 (CET)

> Hi
>
> I specified a swapfile in my config without creating it on disk manually.
>
> (swap-devices '("/swapfile"))
>
> Then I predictably got this error:
>
> guix system: error: exception caught while executing 'start' on service 
> 'swap-/swapfile':
> In procedure swapon: "/swapfile": No such file or directory
>
> I think we should let guix do all the dirty work of generating the swapfile 
> so we can do something like:
>
> (swap-file
> 	(file "/swapfile"))
> 	(size "1G"))
>
> And then guix will invoke the relevant file tools to create and enable the 
> swap file.
>
> We could add a check to see if the file exist and if yes try to use it as is.

Hi,

I just want to give a little warning or tip regarding swapfiles on
btrfs. Generally you can't use swapfiles on btrfs - swapon will throw an
error and btrfs-balance will corrupt the filesystem but with a few
tricks swapfiles actually can be used on btrfs:
https://github.com/sebastian-philipp/btrfs-swapon

Best regards,
David L